package at.krixec.rosary

import android.content.Context
import androidx.datastore.core.DataStore
import androidx.datastore.preferences.core.Preferences
import androidx.datastore.preferences.core.booleanPreferencesKey
import androidx.datastore.preferences.core.edit
import androidx.datastore.preferences.preferencesDataStore
import kotlinx.coroutines.flow.Flow
import kotlinx.coroutines.flow.map

class DataSave( private val context: Context ) {

    companion object {
        private val Context.dataStore: DataStore< Preferences > by preferencesDataStore( "virgin" )
        private val VIRGIN = booleanPreferencesKey( "virgin" )
    }

    val isImmaculate: Flow< Boolean > = context.dataStore.data.map { preferences ->
        preferences[ VIRGIN ] != false
    }

    suspend fun setNotImmaculate() {
        context.dataStore.edit { preferences ->
            preferences[ VIRGIN ] = false
        }
    }
}